"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTrail_1 = require("../model/operations/DeleteTrail");
var DeleteTrailCommand = /** @class */ (function () {
    function DeleteTrailCommand(input) {
        this.input = input;
        this.model = DeleteTrail_1.DeleteTrail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTrailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTrailCommand;
}());
exports.DeleteTrailCommand = DeleteTrailCommand;
//# sourceMappingURL=DeleteTrailCommand.js.map