"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTrails_1 = require("../model/operations/DescribeTrails");
var DescribeTrailsCommand = /** @class */ (function () {
    function DescribeTrailsCommand(input) {
        this.input = input;
        this.model = DescribeTrails_1.DescribeTrails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTrailsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTrailsCommand;
}());
exports.DescribeTrailsCommand = DescribeTrailsCommand;
//# sourceMappingURL=DescribeTrailsCommand.js.map